body {
 
    margin: 0;
        padding: 0;
        height: 100%;
         min-height: 100vh;
        background: -webkit-linear-gradient(left, #E6E6FA, #9370D8); /* de la gauche vers la droite */
        background: -o-linear-gradient(right, #E6E6FA, #9370D8); /* se termine ? droite */
        background: -moz-linear-gradient(right, #E6E6FA, #9370D8); /* se termine ? droite */
        background: linear-gradient(to right, #E6E6FA, #9370D8); /* se déplace vers la droite */
        background-color: #9370D8; /* Placez une couleur de fond si la page ne charge pas le dégradé */
}

/* debut menu deroulant ecran pc */
  nav{
    position: fixed;
    top: 0;
    left: 0;
    height: 70px;
    width: 100%;
    background-color: var(--nav-color);
    z-index: 100;
}

body.dark nav{
    border: 1px solid #393838;

}

nav .nav-bar{
    position: relative;
    height: 100%;
    max-width: 1000px;
    width: 100%;
    background-color: var(--nav-color);
    margin: 0 auto;
    padding: 0 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav .nav-bar .sidebarOpen{
    color: var(--text-color);
    font-size: 25px;
    padding: 5px;
    cursor: pointer;
    display: none;
}

nav .nav-bar .logo a{
    font-size: 25px;
    font-weight: 500;
    color: var(--text-color);
    text-decoration: none;
}

.menu .logo-toggle{
    display: none;
}

.nav-bar .nav-links{
    display: flex;
    align-items: center;
    color: blue;
}

.nav-bar .nav-links li{
    margin: 0 5px;
    list-style: none;
}

.nav-links li a{
    position: relative;
    font-size: 25px;
    font-weight: bold;
    color: var(--text-color);
    text-decoration: none;
    padding: 10px;
}

.nav-links li a::before{
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    height: 6px;
    width: 6px;
    border-radius: 50%;
    background-color: var(--text-color);
    opacity: 0;
    transition: all 0.3s ease;
}

.nav-links li:hover a::before{
    opacity: 1;
}

.nav-bar .darkLight-searchBox{
    display: flex;
    align-items: center;
}

.darkLight-searchBox .dark-light,
.darkLight-searchBox .searchToggle{
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 5px;
}

.dark-light i,
.searchToggle i{
    position: absolute;
    color: var(--text-color);
    font-size: 22px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.dark-light i.sun{
    opacity: 0;
    pointer-events: none;
}

.dark-light.active i.sun{
    opacity: 1;
    pointer-events: auto;
}

.dark-light.active i.moon{
    opacity: 0;
    pointer-events: none;
}

.searchToggle i.cancel{
    opacity: 0;
    pointer-events: none;
}

.searchToggle.active i.cancel{
    opacity: 1;
    pointer-events: auto;
}

.searchToggle.active i.search{
    opacity: 0;
    pointer-events: none;
}

.searchBox{
    position: relative;
}

.searchBox .search-field{
    position: absolute;
    bottom: -85px;
    right: 5px;
    height: 50px;
    width: 300px;
    display: flex;
    align-items: center;
    background-color: var(--nav-color);
    padding: 3px;
    border-radius: 6px;
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.1);
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s ease;
}

.searchToggle.active ~ .search-field{
    bottom: -74px;
    opacity: 1;
    pointer-events: auto;
}

.search-field::before{
    content: '';
    position: absolute;
    right: 14px;
    top: -4px;
    height: 12px;
    width: 12px;
    background-color: var(--nav-color);
    transform: rotate(-45deg);
    z-index: -1;
}

.search-field input{
    height: 100%;
    width: 100%;
    padding: 0 45px 0 15px;
    outline: none;
    border: none;
    border-radius: 4px;
    font-size: 14px;
    font-weight: 400;
    color: var(--search-text);
    background-color: var(--search-bar);
}

body.dark .search-field input{
    color: var(--text-color);
}

.search-field i{
    position: absolute;
    color: var(--nav-color);
    right: 15px;
    font-size: 22px;
    cursor: pointer;
}

body.dark .search-field i{
    color: var(--text-color);
}

 /*fin menu deroulant ecran pc */
/* debut grid */
.grid {
    display:grid;
    
    grid-template-columns: repeat(12,  1fr);
   grid-template-rows: repeat(1, auto);
    font-size: 1.5em;
     
}
.grid img{
  width: 100%;
   object-fit: cover; 
  
}
/* fin grid */
/* debut video accueil */

        .vigri {
                      grid-column:6 / 9;
                     max-width:100%;
                     color: red;
                     font-size: 2em;
                     }
               .vigri video{
                     grid-column:6 / 9;
                     max-width:100%;
                            }
                            
                            .clignote {
                               grid-column:1 / -1;
                                max-width:100%;
                               text-align: center;
                                font-size: 1.5em;
                               color: #FF5E4D;
                                        animation: clignote 2s step-start infinite;
                                      }
                                      
                             @keyframes clignote {
                                        50% { color: red; }
                                      }
        
        /* fin video accueil */
    /* debut accueil*/
    .accueil{
      align-items: center;
      justify-items: center;
      text-align: center;
      /*border: 1px solid #9ca3af;*/
    }
    .accueil:nth-child(1){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
    .accueil:nth-child(2), .accueil:nth-child(6){
       grid-column:1 / -1;
       font-size: 1em;
    }
    .accueil:nth-child(3){
       grid-column:1 / 4;
       font-size: 1em;
    }
    .accueil:nth-child(4){
       grid-column:5 / 8;
       font-size: 1em;
    }
    .accueil:nth-child(5){
       grid-column:9 / -2;
       font-size: 1em;
    }
    
    
    .accueil:nth-child(7){
       grid-column:2 / 6;
       font-size: 0.75em; 
    }
     .accueil:nth-child(7) img{
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
    .accueil:nth-child(8){
       grid-column:7 / 11;
    }
    .accueil:nth-child(8) img{
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
    .accueil:nth-child(9){
       grid-column:1 / -1; 
    }
    .accueil:nth-child(9) img{
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        border-radius: 15px;
        object-fit: cover;
     }
    .accueil:nth-child(10){
       grid-column:1 / -1; 
    }
    .accueil:nth-child(10) img{
      max-width: 30%;
        max-height: 100%;
       
        border-radius: 40%;
        object-fit: cover;
     }
     .accueil:nth-child(11){
       grid-column:1 / -1;
      font-size: 1.2em; 
    }
    .accueil:nth-child(12){
       grid-column:1 / 4;
      font-size: 1em; 
    }
    .accueil:nth-child(13){
       grid-column:5/ 8;
      font-size: 1em; 
    }
    .accueil:nth-child(14){
       grid-column:9/ -2;
      font-size: 1em; 
    }
     .accueil:nth-child(15){
       grid-column:1/ 4;
      font-size: 1em; 
    }
     .accueil:nth-child(16){
       grid-column:5/ 8;
      font-size: 1em; 
    }
     .accueil:nth-child(17){
       grid-column:9/ -2;
      font-size: 1em; 
    }
     .accueil:nth-child(18){
       grid-column:1/ -1;
      font-size: 1em; 
    }
    .accueil:nth-child(19){
       grid-column:1/ -2;
      font-size: 1em; 
    }
    .accueil:nth-child(20){
       grid-column:1/ -2;
      font-size: 1em;
             background-color: #B7B4AF;

    }
    .accueil:nth-child(20) img{
      width: 200%;
      max-width: 100%;
        max-height: 100%;
        
        object-fit: cover;
     }
     .accueil:nth-child(21){
       grid-column:-2/ -1;
      font-size: 0.75em;
       background-color: #B7B4AF;
      
    }
    .accueil:nth-child(21) img{
      margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
   
        
     }
        
    /* fin accueil */
    /* debut cours */
    .cours {
      align-items: center;
      justify-items: center;
      text-align: center;
      
    }
    
    .cours:nth-child(1){
       grid-column:1 / -1;
       font-size: 1.4em;
    }
    .cours:nth-child(2){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
    .cours:nth-child(3){
       grid-column:2 / 6;
       font-size: 1.2em;
    }
    .cours:nth-child(3) img{
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
    .cours:nth-child(4){
       grid-column:8 / -2;
       font-size: 1.2em;
    }
    .cours:nth-child(4) img{
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
    .cours:nth-child(5){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
     .cours:nth-child(5) img{
      max-width: 20%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
    .cours:nth-child(6){
       grid-column:2 / -2;
       font-size: 1.2em;
    }
     .cours:nth-child(6) img{
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
    .cours:nth-child(7){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
    .cours:nth-child(8){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
    .cours:nth-child(9){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
    .cours:nth-child(10), .cours:nth-child(11),.cours:nth-child(12) {
       grid-column:1 / -1;
       font-size: 1.2em;
    }
     .cours:nth-child(12) img{
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
     .cours:nth-child(13){
      grid-column:1/ -2;
      font-size: 1em;
             background-color: #B7B4AF;

    }
    .cours:nth-child(13) img{
      width: 200%;
      max-width: 100%;
        max-height: 100%;
        
        
        object-fit: cover;
     }
     .cours:nth-child(14){
     grid-column:-2/ -1;
      font-size: 0.75em;
       background-color: #B7B4AF;
      
    }
    .cours:nth-child(14) img{
      margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
   
        
     }
     
    #map{ /* la carte DOIT avoir une hauteur sinon elle n'apparaît pas */
       grid-column: span 12; 
    margin-left: 2%;
    margin-right: 2%;			
    height:500px;
    /* position de la carte */
    
}
/* fin cours /*
/* rmp*/
.rempd{
    
     float:none;
}

.rempd  a{
         float:left;

}


    


/*debut blog */
.deb{
  
   grid-column:1 / -1;
   background-color: grey;
}
.deb img{
  width: 100%;
   height: auto;
     max-width : 300%;

   max-height: 100%;
    align-items: center;
      justify-items: center;
      text-align: center;
   object-fit: cover; 
}
.debbo{
  grid-column:1 / -1;
  font-size: 4em;
  color: #8a6d3b;
   align-items: center;
      justify-items: center;
      text-align: center;
}
/* debut blog */
.card {
     align-items: center;
      justify-items: center;
      text-align: center;
   /* border: 1px solid #9ca3af;*/
      
   
}


.card:nth-child(1){
    grid-column:1 / -1; 
}
.card:nth-child(1) img{
   width: 100%;
   height: auto;
     max-width : 300%;

   max-height: 100%;
    align-items: center;
      justify-items: center;
      text-align: center;
   object-fit: cover; 
}
.card:nth-child(2){
    grid-column:1 / -1;
    
}
.card:nth-child(3){
    grid-column:1 / -1;
} 
.card:nth-child(4){
    grid-column:1 / -1;
    
}
.card:nth-child(4) img{
    width: 500px;
     max-width : 300%;
height: auto;
   max-height: 100%;
    align-items: center;
      justify-items: center;
      text-align: center;
   object-fit: cover; 
}
.card:nth-child(5){
    grid-column:1 / -1;
    
}
.card:nth-child(5) img{
    width: 500px;
     max-width : 300%;
height: auto;
   max-height: 100%;
    align-items: center;
      justify-items: center;
      text-align: center;
   object-fit: cover; 
}
.card:nth-child(6){
    grid-column:1 / -1;
    
}
.card:nth-child(7){
    grid-column:1 / -1;
    
}
.card:nth-child(8){
   grid-column:1 / 5;
}

/*fin blog*/
/* debut post*/
.post{
     align-items: center;
      justify-items: center;
      text-align: center;
  /* border: 1px solid #9ca3af;*/
}
.post:nth-child(1){
    grid-column:1 / -1;
}
.post:nth-child(2){
    grid-column:1 / -1;
}
.post:nth-child(3){
    grid-column:1 / -1;
}
.post:nth-child(3) img{
    width: 700px;
     max-width : 300%;
height: auto;
   max-height: 100%;
    align-items: center;
      justify-items: center;
      text-align: center;
   object-fit: cover; 
}
.post:nth-child(4){
    grid-column:1 / -1;
    color: #31b0d5;
}

.post:nth-child(5){
    grid-column:1 / -1;
    
}
.post:nth-child(6){
    grid-column:1 / -2;
    grid-row: 7;
    background-color: #B7B4AF;
}
.post:nth-child(6) img{
  width: 100%;
     object-fit: cover; 
}
 .post:nth-child(7){
     grid-column:-2/ -1;
      font-size: 0.75em;
       background-color: #B7B4AF;
         grid-row: 7;
      
    }
    .post:nth-child(7) img{
      margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
   
        
     }
/* fin post*/

/*debut pagination */
.pagination {
  display: inline-block;
  padding-left: 0;
  margin: 20px 0;
  border-radius: 4px;
		font-size: 1rem;
		box-sizing: border-box;
		background-color: white;
}
.pagination, .pagination-list {
  text-align: center;
}
.pagination > li{
	  display: inline;
		margin: 0;
padding: 0;

}
.pagination-lg > li:first-child > a, .pagination-lg > li:first-child > span {
  border-top-left-radius: 6px;
  border-bottom-left-radius: 6px;
}
.pagination > li:first-child > a{
	margin-left: 0;
	border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
}
.pagination > .active > a{
	z-index: 3;
color: #fff;
cursor: default;
background-color: #337ab7;
border-color: #337ab7;
}
.pagination-lg{
	box-sizing: border-box;
	background-color: white;
}
.pagination-lg > li > a{
	position: relative;
float: left;
	padding: 10px 16px;
font-size: 18px;
line-height: 1.3333333;
text-decoration: none;
border: 1px solid #ddd;
background-color: white;
}
/* fin pagination */
/* debut contact */
.contact{
     align-items: center;
      justify-items: center;
      text-align: center;
   /*border: 1px solid #9ca3af;*/
}
.contact:nth-child(1){
    grid-column:1 / -1;
    font-size: 2em;
    
}
.contact:nth-child(2){
    grid-column:3 / 11;
   align-items: center;
      justify-items: center;
      text-align: center;
      background-color:#9A59B5;
      font-size: 1em;
    
}
.contact:nth-child(3){
    grid-column:1 / -1;
    font-size: 2em;
}
.contact:nth-child(4){
       grid-column:1/ -2;
      font-size: 1em;
             background-color: #B7B4AF;

    }
    .contact:nth-child(4) img{
      width: 200%;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
     .contact:nth-child(5){
       grid-column:-2/ -1;
      font-size: 0.75em;
       background-color: #B7B4AF;
      
    }
    .contact:nth-child(5) img{
      margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
   
        
     }
/*fin contact */
/* debut adherent */
.adherent{
   align-items: center;
      justify-items: center;
      text-align: center;
}
.adherent:nth-child(1){
    grid-column:1 / -1;
    font-size: 2em;
    
}
.adherent:nth-child(2){
   grid-column:3 / 11;
   align-items: center;
      justify-items: center;
      text-align: center;
      background-color:#9A59B5;
      font-size: 1em;
    
    
}
.adherent:nth-child(3){
    grid-column:1 / -1;
      
}
.adherent:nth-child(4){
    grid-column:1 / -1;
      
}
.adherent:nth-child(5){
    grid-column:1 / -2;
     background-color: #B7B4AF;
      
}
.adherent:nth-child(5) img{
    width: 200%;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
      
}
.adherent:nth-child(6){
   grid-column:-2/ -1;
      
       background-color: #B7B4AF;
      
      
}
.adherent:nth-child(6) img{
   margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
      
}

/* fin adherent */
/* debut mot de passe oublié */
.remdp{
   align-items: center;
      justify-items: center;
      text-align: center;
}
.remdp:nth-child(1){
    grid-column:1 / -1;
    font-size: 2em;
    
}
.remdp:nth-child(2){
   grid-column:3 / 11;
   align-items: center;
      justify-items: center;
      text-align: center;
      background-color:#9A59B5;
      font-size: 1em;
    
    
}
.remdp:nth-child(3){
    grid-column:1 / -1;
      
}
.remdp:nth-child(4){
    grid-column:1 / -2;
     background-color: #B7B4AF;
      
}
.remdp:nth-child(4) img{
    width: 200%;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
      
}
.remdp:nth-child(5){
   grid-column:-2/ -1;
      
       background-color: #B7B4AF;
      
      
}
.remdp:nth-child(5) img{
   margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
      
}
/* fin mot de passe oublié */
/*bas de page debut*/
    
     .endface {
      background-color: transparent;
      bottom: -10px;
    }
    .social{
     width:7%;
     height: 70%;
     
    }
    
    .social img{
     
     width: 10%;
     height: 10%;
    }
   
    /*bas de page fin */
      /*debut baspage */
    .baspage{
        text-align: center;
        background-color: #B7B4AF;
    }
    .baspage:nth-child(1){
      grid-column:1 / -2;
    
    background-color: #B7B4AF;
      
    }
    .baspage:nth-child(1) img{
     
      font-size: 0.75em;
       background-color: #B7B4AF;
           }    
     .baspage:nth-child(2){
       grid-column:-2/ -1;
      font-size: 0.75em;
       background-color: #B7B4AF;
      
    }
    .baspage:nth-child(2) img{
      margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
       
     }
     /*fin baspage */
  
    /* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media (max-width: 790px) {
  .grid {
    display:grid;
    
    grid-template-columns: repeat(12,1fr);
  
    font-size: 1.5em;
     
}
  /* debut menu deroulant */
    nav .nav-bar .sidebarOpen{
        display: block;
        -webkit-backdrop-filter: blur(15px); /* assure la compatibilité avec safari */
    backdrop-filter: blur(15px);
    background-color: rgba(182, 182, 182, 0.2);
    color:blue;
    }

    .menu{
        position: fixed;
        height: 100%;
        width: 200px;
        left: -150%;
        top: 0;
        padding: 20px;
        background-color: var(--side-nav);
        z-index: 100;
        transition: all 0.4s ease;
    }

    nav.active .menu{
        left: -0%;
    }

    nav.active .nav-bar .navLogo a{
        opacity: 0;
        transition: all 0.3s ease;
    }

    .menu .logo-toggle{
        display: block;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .logo-toggle .siderbarClose{
        color: var(--text-color);
        font-size: 24px;
        cursor: pointer;
    }

    .nav-bar .nav-links{
        flex-direction: column;
        color: blue;
        padding-top: 10px;
        margin-top: 15px;
        font-weight : bold;
        -webkit-backdrop-filter: blur(15px); /* assure la compatibilité avec safari */
    backdrop-filter: blur(15px);
    background-color: rgba(182, 182, 182, 0.2);
    }

    .nav-links li a{
        display: block;
        margin-top: 15px;
        font-size: medium;
        font-weight : bold;
        top: -50px;
        
    }
    /* debut accueil */
    .accueil:nth-child(1), .accueil:nth-child(2){
      font-size: 1em;
    }
    .accueil:nth-child(3), .accueil:nth-child(4), .accueil:nth-child(5),.accueil:nth-child(6),  .accueil:nth-child(9){
      grid-column:1 / -1;
      font-size: 1em;
    }
    .accueil:nth-child(7){
       grid-column:1 / -1;
       grid-row: 4;
       font-size: 1em;
    }
    .accueil:nth-child(8){
      grid-column:1 / -1;
       grid-row: 7;
      font-size: 1em;
    }
     .accueil:nth-child(10){
       grid-column:1 / -1; 
    }
    .accueil:nth-child(10) img{
      max-width: 50%;
        max-height: 100%;
       
        border-radius: 40%;
        object-fit: cover;
     }
     .accueil:nth-child(11),.accueil:nth-child(12), .accueil:nth-child(13), .accueil:nth-child(14){
      grid-column:1 / -1;
      font-size: 1em;
    }
    .accueil:nth-child(15){
            grid-column:1 / -1;
            grid-row: 13;
            font-size: 1em;
    }
    .accueil:nth-child(16){
      grid-column:1 / -1;
            grid-row: 15;
            font-size: 1em;
    }
    .accueil:nth-child(17){
      grid-column:1 / -1;
            grid-row: 17;
            font-size: 1em;
    }
    .accueil:nth-child(21){
       grid-column:-2/ -1;
      font-size: 1em;
       background-color: #B7B4AF;
      
    }
    .accueil:nth-child(21) img{
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
        
        
        object-fit: cover;
     }
    /*fin accueil */
    /* debut cours */
    
    /* fin cours */
    .cours:nth-child(3){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
    .cours:nth-child(3) img{
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
    .cours:nth-child(4){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
     .cours:nth-child(4) img{
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
      .cours:nth-child(5){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
     .cours:nth-child(5) img{
      width: auto;
      max-width: 20%;
        max-height: 100%;
        
        
        object-fit: cover;
     }
     .cours:nth-child(6), .cours:nth-child(7),.cours:nth-child(8){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
    .cours:nth-child(8){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
     .cours:nth-child(8) img{
     
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
     .cours:nth-child(9){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
     .cours:nth-child(9) img{
      width: auto;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
     .cours:nth-child(10){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
     .cours:nth-child(10) img{
      width: auto;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
     .cours:nth-child(11){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
     .cours:nth-child(11) img{
      width: auto;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
      .cours:nth-child(12){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
     .cours:nth-child(12) img{
      width: auto;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
     .cours:nth-child(13){
       grid-column:1 / -1;
       font-size: 1.2em;
    }
     .cours:nth-child(13) img{
      width: 50%;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
     .cours:nth-child(13) button{
      background-color: transparent;
     }
     .cours:nth-child(14){
      grid-column: 1/ -2;
font-size: 1em;
background-color: #B7B4AF;
     }
     cours:nth-child(14) img{
      width: auto;
max-width: 100%;
max-height: 100%;

object-fit: cover;
     }
    /* debut post*/
.post{
  grid-column:1 / -1;
   align-items: center;
      justify-items: center;
      text-align: center;
   /*border: 1px solid #9ca3af;*/
}
.post:nth-child(1), .accueil:nth-child(2){
    grid-column:1 / -1;
}

.post:nth-child(3){
    grid-column:1 / -1;
}
.post:nth-child(3) img{
    width: 700px;
     max-width : 100%;
height: auto;
   max-height: 100%;
    align-items: center;
      justify-items: center;
      text-align: center;
   object-fit: cover; 
}
.post:nth-child(4){
    grid-column:1 / -1;
}
.card:nth-child(4) img {
    width: 500px;
    max-width: 100%;
    height: auto;
    max-height: 100%;
    align-items: center;
    justify-items: center;
    text-align: center;
    object-fit: cover;
}
.card:nth-child(5){
    grid-column:1 / -1;
    
}
.card:nth-child(5) img {
    width: 500px;
    max-width: 100%;
    height: auto;
    max-height: 100%;
    align-items: center;
    justify-items: center;
    text-align: center;
    object-fit: cover;
    }
    /* contact */
    .contact:nth-child(1){
    grid-column:1 / -1;
    font-size: 2em;
    
}
.contact:nth-child(2){
    grid-column:1 / -1;
   align-items: center;
      justify-items: center;
      text-align: center;
      background-color:#9A59B5;
      font-size: 1em;
      grid-row:2/6; 
    
}
.contact:nth-child(3){
    grid-column:1 / -1;
    font-size: 2em;
}
.contact:nth-child(4){
       grid-column:1/ -2;
      font-size: 1em;
             background-color: #B7B4AF;
grid-row-start: 7;
    }
    .contact:nth-child(4) img{
      width: 200%;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
     .contact:nth-child(5){
       grid-column:-2/ -1;
      font-size: 0.75em;
       background-color: #B7B4AF;
      
    }
    .contact:nth-child(5) img{
      margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
   
        
     }
    /* fin contact*/
    /* debut adherent */
     .adherent:nth-child(1){
    grid-column:1 / -1;
    font-size: 1.5em;
    
}

.adherent:nth-child(2){
    grid-column:1 / -1;
   align-items: center;
      justify-items: center;
      text-align: center;
      background-color:#9A59B5;
      font-size: 1em;
      grid-row:3/5; 
    
}
.adherent:nth-child(3){
    grid-column:1 / -1;
    font-size: 2em;
    grid-row-start: 5;

}
.adherent:nth-child(4){
       grid-column:1/ -2;
      font-size: 1em;
             background-color: #B7B4AF;
grid-row-start: 7;
    }
    .adherent:nth-child(4) img{
      width: 200%;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
     .adherent:nth-child(5){
       grid-column:-2/ -1;
      font-size: 0.75em;
       background-color: #B7B4AF;
      grid-row-start: 7;
    }
    .adherent:nth-child(5) img{
      margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
   
        
     }
    /* fin adherent */
     /* debut mot de passe oublié */
     .remdp:nth-child(1){
    grid-column:1 / -1;
    font-size: 1.3em;
}
.remdp:nth-child(2){
    grid-column:1 / -1;
   align-items: center;
      justify-items: center;
      text-align: center;
      background-color:#9A59B5;
      font-size: 1em;
      grid-row:3/7; 
    
}
.remdp:nth-child(3){
    grid-column:1 / -1;
    font-size: 2em;
    grid-row:9; 
}
.remdp:nth-child(4){
       grid-column:1/ -2;
      font-size: 1em;
             background-color: #B7B4AF;
grid-row: 10;
    }
    .remdp:nth-child(4) img{
      width: 200%;
      max-width: 100%;
        max-height: 100%;
        height: 100%;
        
        object-fit: cover;
     }
     .remdp:nth-child(5){
       grid-column:-2/ -1;
      font-size: 0.75em;
       background-color: #B7B4AF;
      grid-row: 10;
    }
    .remdp:nth-child(5) img{
      margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
   
        
     }
    /* fin mot de passe oublié */
/* fin post*/
.debbo{
  grid-column:1 / -1;
  font-size: 2em;
  color: #8a6d3b;
   align-items: center;
      justify-items: center;
      text-align: center;
}
}

    /* When the screen is less than 600 pixels wide, hide all links, except for the first one ("Home"). Show the link that contains should open and close the topnav (.icon) */
@media screen and (max-width: 600px) {
  .topnav a:not(:first-child), .dropdown .dropbtn {
    display: none;
  }
  .topnav a.icon {
    float: right;
    display: block;
  }
  
 /* debut grid*/
 /* debut grid*/
 .grid {
    display:grid;
    
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: auto 1fr auto;
    font-size: 0.75em;
     
}

/* debut accueil*/
  /* video accueil */
   .vigri {
                            
                      grid-column:1 / -1;
                     max-width:100%;
                       font-size: 1.5em;
                     }
                     .vigri video{
                     width: 700px;
                     max-width : 100%;
                     height: auto;
                     max-height: 100%;
                    align-items: center;
                      justify-items: center;
                      text-align: center;
                   object-fit: cover;
                 
              }
  
  
  
  /*fin video accueil

/*fin accueil*/
 /* debut post*/
.post{
  grid-column:1 / -1;
   align-items: center;
      justify-items: center;
      text-align: center;
   /*border: 1px solid #9ca3af;*/
}
.post:nth-child(1){
    grid-column:1 / -1;
}
.post:nth-child(2){
    grid-column:1 / -1;
}
.post:nth-child(3){
    grid-column:1 / -1;
}
.post:nth-child(3) img{
    width: 700px;
     max-width : 100%;
height: auto;
   max-height: 100%;
    align-items: center;
      justify-items: center;
      text-align: center;
   object-fit: cover; 
}
.post:nth-child(4), .post:nth-child(5) {
    grid-column:1 / -1;
}


/* fin post*/
 /*debut baspage */
    .baspage{
      position: relative;
       text-align: center;
      background-color: #B7B4AF;
      bottom: 0;
    }
    .baspage:nth-child(1){
      grid-column:1 / -2;
    
    background-color: #B7B4AF;
    position: relative;
    bottom: -230px;
}
      
    
    .baspage:nth-child(1) img{
     
      font-size: 0.75em;
       background-color: #B7B4AF;
           }    
     .baspage:nth-child(2){
       grid-column:-2/ -1;
      font-size: 0.75em;
       background-color: #B7B4AF;
       position: relative;
    bottom: -230px;
        }
    .baspage:nth-child(2) img{
      margin-top: 50%;
      width: 50%;
      height: auto;
      max-width: 130%;
        max-height: 130%;
         align-items: center;
       
     } /*fin baspage */
.baspage-2{
  font-size: small;
 background-color: #B7B4AF;
       grid-column-start: 11;
     grid-column-end: 13;
   
    }
     .grecaptcha-badge {
  width: 70px !important;
  overflow: hidden !important;
  transition: all 0.3s ease !important;
right: 50px !important;
  top: 600px !important;
}
.grecaptcha-badge:hover {
  width: 66px !important;
}
}

